diff --git a/lib/stdlib/src/c.erl b/lib/stdlib/src/c.erl
index 9e4cec5..dd3e57f 100644
--- a/lib/stdlib/src/c.erl
+++ b/lib/stdlib/src/c.erl
@@ -197,7 +197,9 @@ nc(File, Opts0) when is_list(Opts0) ->
     Opts = Opts0 ++ [report_errors, report_warnings],
     case compile:file(File, Opts) of
 	{ok,Mod} ->
-	    Fname = concat([File, code:objfile_extension()]),
+	    {ok, Cwd} = file:get_cwd(),
+	    Dir = proplists:get_value(outdir, Opts, Cwd),
+	    Fname = concat([Dir, "/", filename:basename(File), code:objfile_extension()]),
 	    case file:read_file(Fname) of
 		{ok,Bin} ->
 		    rpc:eval_everywhere(code,load_binary,[Mod,Fname,Bin]),
